org.apache.pdfbox.preflight.content

## Class StubOperator

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.OperatorProcessor
  - - org.apache.pdfbox.preflight.content.StubOperator

    public class StubOperator
    extends org.apache.pdfbox.contentstream.operator.OperatorProcessor

This implementation of OperatorProcessor allow the operator validation according PDF/A rules without compute the operator actions.

### Constructor Summary

Constructors
Constructor and Description
`StubOperator(org.apache.pdfbox.contentstream.PDFStreamEngine context, String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`void` `process(org.apache.pdfbox.contentstream.operator.Operator operator, List<org.apache.pdfbox.cos.COSBase> arguments)`

### Methods inherited from class org.apache.pdfbox.contentstream.operator.OperatorProcessor

`checkArrayTypesClass, getContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StubOperator

    public StubOperator(org.apache.pdfbox.contentstream.PDFStreamEngine context,
                        String name)

### Method Detail

#### process

    public void process(org.apache.pdfbox.contentstream.operator.Operator operator,
                        List<org.apache.pdfbox.cos.COSBase> arguments)
                 throws IOException

Specified by:
  `process` in class `org.apache.pdfbox.contentstream.operator.OperatorProcessor`
Throws:
  `IOException`

#### getName

    public String getName()

Specified by:
  `getName` in class `org.apache.pdfbox.contentstream.operator.OperatorProcessor`